No not New York silly the one located in my old stomping ground in Cupertino,  Apple Computers. I will admit I’ve never been happy about Uniface hanging on to and supporting old stuff like character mode and some of the constructs in proc-code that have stayed the same for, well, for ages. And as for that saying ‘never a technology Break’, perhaps it’s time to move on? However I started a new project developing apps to run on Apple iPads and iPhones and immersing myself into the depths of objective C and Xcode during which I experienced a reality check that demonstrates that one software manufacturer doesn’t have such scruples with maintaining old code and in particular 1st generation iPads. Diving into the manuals I successfully created my first app, worked through the maze of licensing and deployment, which BTW is challenging to say the least, testing it in the sim and then finally deploying it to a device.   Sadly no, it didn’t work opps!  So what went wrong? I’m using the latest and greatest xcode under ios 6.1 where the default is to use storyboards to design/configure the user interface graphically. As a consequence the procedure uses the latest method calls and requires, according to the documentation, ios 5 as a minimum.  OK that’s cool as the sim is 6.1 and my test device is a 1st gen iPad has ios 5.1.1 so that’s OK, isn’t it? Then again maybe it isn’t!  It seems Apple has decided not to provide an update to the iPad 1st gen keeping it at the ios 5.1.1 level.  Gen 2 and above, that’s the ones with cameras BTW, can happily update to 6.1. OK so ‘hold the phone’, that means that as app developers move forward there is a very real possibility, no wait, probability that apps will refuse to run on my iPad and I’ll have to buy new, and considering that the iPad was introduced in 2010 means mine is less than 2 years old!!! As it turns out all is not lost because there is a simple change to disable autolayout and all is well again, but that assumes all developers will use this moving forward which I doubt. So looks like I’ll have to shell out for a newer device, for $600. Damn I wish I’d thought of this. Maybe we get everyone to re-purchase Uniface licenses every two years? Yeah like that is going to work! Maybe the Uniface saying ‘never a technology break’ isn’t such a bad thing after all? Meanwhile anyone wants to buy an iPad, works well with all apps, except camera apps naturally. At least until the newer apps come out! Only one careful owner?

This page has no comments.